package com.sooka.system.gas.qinchuan_user_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.qinchuan_user_infor.domain.TGuijiQinchuanUserInfor;
import com.sooka.system.gas.qinchuan_user_infor.mapper.TGuijiQinchuanUserInforMapper;
import com.sooka.system.gas.qinchuan_user_infor.service.ITGuijiQinchuanUserInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 秦川业务系统-用户信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiQinchuanUserInforServiceImpl implements ITGuijiQinchuanUserInforService
{
    @Autowired
    private TGuijiQinchuanUserInforMapper mapper;

    /**
     * 查询秦川业务系统-用户信息
     *
     * @param id 秦川业务系统-用户信息ID
     * @return 秦川业务系统-用户信息
     */
    @Override
    public TGuijiQinchuanUserInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询秦川业务系统-用户信息列表
     *
     * @param param 秦川业务系统-用户信息
     * @return 秦川业务系统-用户信息
     */
    @Override
    public List<TGuijiQinchuanUserInfor> selectList(TGuijiQinchuanUserInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增秦川业务系统-用户信息
     *
     * @param param 秦川业务系统-用户信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiQinchuanUserInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改秦川业务系统-用户信息
     *
     * @param param 秦川业务系统-用户信息
     * @return 结果
     */
    @Override
    public int update(TGuijiQinchuanUserInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除秦川业务系统-用户信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除秦川业务系统-用户信息信息
     *
     * @param id 秦川业务系统-用户信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
